# UNIGENE
# Unigene
[SAMPLE]
accession java.lang.Integer 1

[CORE]
FIELD_ANNOTATION  SELECT annotation AS FIELD_ANNOTATION FROM @FIELD_DBCODE@UNIGENE_CLUSTER__DATA__$ANNOTATION WHERE AK_@FIELD_DBCODE@UNIGENE_CLUSTER__DATA__id=@FIELD_ACCESSION@ ORDER BY FIELD_ANNOTATION ASC
FIELD_TISSUE      SELECT tissue AS FIELD_TISSUE FROM @FIELD_DBCODE@UNIGENE_CLUSTER__DATA__$EXPRESSION, @FIELD_DBCODE@UNIGENE_CLUSTER__$EXPRESSION WHERE AK_@FIELD_DBCODE@UNIGENE_CLUSTER__$EXPRESSION__id=id AND AK_@FIELD_DBCODE@UNIGENE_CLUSTER__DATA__id=@FIELD_ACCESSION@ ORDER BY FIELD_TISSUE ASC
FIELD_CYTOBAND    SELECT cyto AS FIELD_CYTOBAND FROM @FIELD_DBCODE@UNIGENE_CLUSTER__DATA__$CYTO WHERE AK_@FIELD_DBCODE@UNIGENE_CLUSTER__DATA__id=@FIELD_ACCESSION@ ORDER BY FIELD_CYTOBAND ASC
FIELD_NAME        SELECT text AS FIELD_NAME FROM @FIELD_DBCODE@UNIGENE_CLUSTER__DATA__$GENENAME WHERE AK_@FIELD_DBCODE@UNIGENE_CLUSTER__DATA__id=@FIELD_ACCESSION@ ORDER BY FIELD_NAME ASC

[LINKAGE_TO]
LINK_LOCUSLINK   SELECT FKDest__value FROM @FIELD_DBCODE@UNIGENE_CLUSTER__DATA__LINKAGES$LOCUSLINK WHERE FKSrc__value=@FIELD_ACCESSION@
LINK_CHROMOSOME  SELECT CONCAT(@FIELD_TAXID@,'-',$CHROMOSOME.value) FROM @FIELD_DBCODE@UNIGENE_CLUSTER__DATA__$CHROMOSOME, $CHROMOSOME WHERE CK$chromosome_$CHROMOSOME__id=$CHROMOSOME.id AND AK_@FIELD_DBCODE@UNIGENE_CLUSTER__DATA__id=@FIELD_ACCESSION@
LINK_TAXONOMY    SELECT @FIELD_TAXID@

[KEYWORD]
FIELD_ACCESSION  SELECT id AS FIELD_ACCESSION FROM ATUNIGENE__DATA WHERE %id% LIKE '@keyword@' ORDER BY id ASC
FIELD_ANNOTATION SELECT DISTINCT AK_@FIELD_DBCODE@UNIGENE_CLUSTER__DATA__id AS FIELD_ACCESSION FROM @FIELD_DBCODE@UNIGENE_CLUSTER__DATA__$ANNOTATION WHERE %annotation% LIKE '@keyword@' ORDER BY id ASC
FIELD_TISSUE     SELECT DISTINCT AK_@FIELD_DBCODE@UNIGENE_CLUSTER__DATA__id AS FIELD_ACCESSION FROM @FIELD_DBCODE@UNIGENE_CLUSTER__DATA__$EXPRESSION WHERE %tissue% LIKE '@keyword@' ORDER BY id ASC
FIELD_CYTOBAND   SELECT DISTINCT AK_@FIELD_DBCODE@UNIGENE_CLUSTER__DATA__id AS FIELD_ACCESSION FROM @FIELD_DBCODE@UNIGENE_CLUSTER__DATA__$CYTO WHERE %cyto% LIKE '@keyword@' ORDER BY id ASC
FIELD_NAME       SELECT DISTINCT AK_@FIELD_DBCODE@UNIGENE_CLUSTER__DATA__id AS FIELD_ACCESSION FROM @FIELD_DBCODE@UNIGENE_CLUSTER__DATA__$GENENAME WHERE %text% LIKE '@keyword@' ORDER BY id ASC
